# Change Log

## Release v0.4.2
+   Upgrade starfish-py to >=0.8.2

## Release v0.4.1
+   allow to call invoke/jobs/ in invoke ui
+   return the job_id key as job-id

## Release v0.4.0
+   Upgrade to starfish-py > v0.8.x

## Release v0.3.8
+   Modify metadata validation to always incluede name, type and operation properites
+   Allow for starfish-py version >= 0.7.1

## Release v0.3.7
+   Fix operation type not being set in the metadata

## Release v0.3.6
+   Add swagger ui testing
+   Fix swagger documentation bug on invokable items

## Release v0.3.5
+   Upgrade to starfish-py 0.7.1
+   Remove dependancy on squid-py library and old versions of python packages

## Release v0.3.4
+   Updgrade to starfish-py 0.6.6
+   Better code linter and sorting of module imports using isort

## Release v0.3.3
+   Change the run method to use the fields `inputs` and `data`

## Release v0.3.2
+   Changed the fields 'params' to 'inputs'
+   Changed the field 'results' to 'outputs'
+   upgrade to starfish-py 0.6.5

## Release v0.3.1
+   upgrade to starfish-py 0.6.3
+   show invokable asset ids as well as named items in swagger documentation
+   change invokable api to include jobs
+   fix invoke to use the 'invoke/sync' path

## Release v0.3.0
+   upgrade to starfish-py 0.6.2

## Release v0.2.10
+  Optional asset and metadata storage

## Release v0.2.9
+   Refactor add_network call

## Release v0.2.8
+   Add in meta/index api to obtain a list of meta data

## Release v0.2.7
+   Fix metadata api calls to DEP standard

## Release v0.2.6
+   CORS enabled
+   Minor bug fixes

## Release v0.2.5
+   Move InvokeItem to be assesiable in the InvokeService class

## Release v0.2.4
+   Refactoring, added JobItem and InvokeItem classes to handle Job and Invoke data
+   Add JobItem to return metadata as dict, string and additional metadata items

## Release v0.2.3
+   Remove asset decoding in the metadata
+   Changed the 'additionalInformation' metadata to be saved in the 'invoke_operation' key value.
+   add_network returns a ddo object from Starfish.

## Release v0.2.2
+   Fix swagger sections

## Release v0.2.1
+   Fix DDO errors

## Release v0.2.0
+   Add agent api to provide DDO and status
+   Add auth api for oauth2 access

## Release v0.1.4
+   Fix add_network to register on ocean network.

## Release v0.1.3
+   Add metadata filter in the InvokeService class.
+   Validation of metadata

## Release v0.1.2
+   Put back parameters and results to use dict.
+   Allow to modify asset parameters and results before calling service run method.

## Release v0.1.1
+   Fix parameters and results to be array of items.

## Release v0.1.0
+   Register functions using decorator and comment text

## Release v0.0.10
+   Set route paths as a dictionary
+   Allow to pass arguments to Flask app creation

## Release v0.0.8
+   Inokable server cleanup.

## Release v0.0.7
+   Inokable server tests and more documentation.

## Release v0.0.6
+   Configurable invokable web server.
+   Auto swagger documentation on all invokable services.

## Release v0.0.5
+   Add starfish to the library.
+   Register this invokable service on the ocean network.
+   Test being called from another starfish library.
+   Add docs for basic usage.

## Release v0.0.4
+   Job list and get a job status via the web api.
+   General bug fixes.
+   Move JOB_STATUS_XXX to JobStatus.XXX
+   Rename erroCode to errorcode
