
"""

Default Route Paths for the server api calls

.. literalinclude:: /../../invokable/constants.py
    :lines: 10-

"""

DEFAULT_ROUTE_PATHS = {
    'meta': '/api/v1/meta',
    'invoke': '/api/v1/invoke',
    'auth': '/api/v1/auth',
    'storage': '/api/v1/assets',
    'swagger_api': '/spec',
    'swagger_docs': '/api/v1/docs',
    'agent': '/api',
}


API_VERSION = 'v1'
API_METADATA_VERSION = '0.0.1'
METADATA_ADDITIONAL_INFORMATION_NAME = 'invoke_operation'
