"""

 Test Metadata API

"""

import pytest
import secrets
import datetime
import json
import re

def test_get_storage_asset_idlist(client, site_path):

    asset_id = secrets.token_hex(32)
    url = f'{site_path.storage}/{asset_id}'
    data = secrets.token_hex(128)
    response = client.post(url, data=data)
    print(response.data)


    url = f'{site_path.storage}/{asset_id}'
    response = client.get(url)
    result = response.data.decode('utf-8')

    assert(result == data)
