"""

Invokable Service hash some text

"""

import hashlib
from invokable import InvokeService

class HashText(InvokeService):
    name = 'hash_text'
    description = 'Inoke test to hash some text'
    creator = 'Dex'
    modes = InvokeService.MODES_ALL
    inputs = {
        'value': {
            'type': 'string',
            'required': True,
            'description': 'Text to create hash from'
        }
    }
    outputs = {
        'hash_value': {
            'type': 'string',
            'descritpion': 'hash of the input text'
        }
    }
    tags = ['hash', 'test']
    def run(self, inputs, data=None):
        message = hashlib.md5()
        message.update(inputs['value'].encode('utf-8'))
        return {
            'hash_value': message.hexdigest()
        }
