"""

 Test Metadata API

"""

import pytest
import secrets
import datetime
import json
import re

def test_get_metadata_asset_idlist(client, site_path):

    url = f'{site_path.meta}/data'
    response = client.get(url)
    result = response.get_json()

    assert(result)

def test_get_metadata_asset_idlist(client, site_path):

    url = f'{site_path.meta}/index'
    response = client.get(url)
    result = response.get_json()

    assert(result)

def test_get_metadata_item(client, site_path):
    url = f'{site_path.meta}/data'
    response = client.get(url)
    result = response.get_json()
    for asset_id, name in result.items():
        url = f'{site_path.meta}/data/{asset_id}'
        response = client.get(url)
        data = response.get_json()
        assert(data)
#        assert(data['asset_id'] == asset_id)
        assert(data['name'] == name)


def test_add_metdata(client, site_path):
    url = f'{site_path.meta}/data'
    data = secrets.token_hex(128)
    response = client.post(url, data=data)
    print(response)
